﻿using RimWorld;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using UnityEngine;
using Verse;

using VFECore.Abilities;
using AbilityDef = VFECore.Abilities.AbilityDef;

namespace Stunskip
{
    [DefOf]
    public static class StunskipDefOf
    {
        static StunskipDefOf()
        {
            DefOfHelper.EnsureInitializedInCtor(typeof(StunskipDefOf));
        }

        public static AbilityDef VPE_stunskip_i;
        public static AbilityDef VPE_stunskip_ii;
        public static AbilityDef VPE_stunskip_restrain_i;
        public static AbilityDef VPE_stunskip_restrain_ii;

        public static AbilityDef VPE_stunskip_teleport_i;
        public static AbilityDef VPE_stunskip_teleport_ii;

        public static AbilityDef VPE_stunskip_strike_i;
        public static AbilityDef VPE_stunskip_strike_ii;

        public static HediffDef VPE_PerceptionFreeze;

    }
}
