﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Verse;
using HarmonyLib;
using RimWorld;
using System.Reflection;

namespace Stunskip.Patch
{
    [StaticConstructorOnStartup]
    public static class Stunskip
    {
        static Stunskip()
        {
            Log.Message("There can only be one Rabbit.");

            Harmony harmony = new Harmony("rimworld.mod.rabbit.stunskip");
            harmony.PatchAll();
        }
    }


    [HarmonyPatch(typeof(Pawn), "Kill")]
    public static class Stunskip_Pawn_Kill_Patch
    {
        private static bool Prefix(Pawn __instance)
        {
            var hediff = __instance.health.hediffSet.GetFirstHediffOfDef(StunskipDefOf.VPE_PerceptionFreeze);
            if (hediff != null)
            {
                return false;
            }
            return true;
        }

    }

}