﻿using RimWorld;
using System.Collections.Generic;
using System.Linq;
using UnityEngine;
using Verse;
using VanillaPsycastsExpanded;

namespace Stunskip
{
    public class Stunskip_PerceptionFreeze_Hediff : Hediff_Overlay
    {

        public float curAngle;
        public override void Tick()
        {
            base.Tick();
            curAngle += 0.07f;
            if (curAngle > 360)
            {
                curAngle = 0;
            }
        }
        public override void ExposeData()
        {
            base.ExposeData();
            Scribe_Values.Look(ref curAngle, "curAngle");
        }
    }
}